<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [tFormat](./bitburner.ns.tformat.md)

## NS.tFormat() method

Format time to readable string

<b>Signature:</b>

```typescript
tFormat(milliseconds: number, milliPrecision?: boolean): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  milliseconds | number | Number of millisecond to format. |
|  milliPrecision | boolean | Format time with subsecond precision, defaults to false. |

<b>Returns:</b>

string

The formatted time.

## Remarks

RAM cost: 0 GB

